# Drop existing bundles as they have not been run through charm-proof.

from pyelasticsearch.exceptions import (
    ElasticHttpNotFoundError,
)

def upgrade(db, index_client):
    """Complete this function with work to be done for the migration/update.

    db is the pymongo db instance for our datastore. Charms are in db.charms
    for instance.
    """

    # Remove all bundles from elasticsearch.
    for bundle_data in db.bundles.find():
        try:
            index_client.delete_bundle(bundle_data)
        except ElasticHttpNotFoundError as e:
            continue

    # Drop all bundles from mongo.
    db.bundles.drop()
